### Method

# Gtk Actionable set_detailed_action_name

#### Declaration [src]

    void
    gtk_actionable_set_detailed_action_name (
      GtkActionable* actionable,
      const char* detailed_action_name
    )

#### Description [src]

Sets the action-name and associated string target value of an actionable widget.

`detailed_action_name` is a string in the format accepted by g_action_parse_detailed_name().

#### Parameters

`detailed_action_name` | `const char*`
| The detailed action name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.